[i68Patcher]
Mail=iard68@hotmail.com

[Patch]
Name=Unlicensed Logo Patch
Author=by iard68
Version=v. 1.0
Description=@mailto: iard68@hotmail.com

[Options]
ShowBackgroundImage=True
ShowUserData=False
HasFeaturesTXTFile=True
DefaultLanguage=Ita

[Colors]
Background=None
Title=None
Messages=None
Author=None
Objects=None


CONFIG NOTES:

Patch:

Intuitive... but
DESCRIPTION was showed only if you don't provide background
and patcher runs in a standard windowed mode (see details below).


Options:

If you provide your background image,
turn SHOWBACKGROUNDIMAGE to true and put your .jpg file 
named as PATCH.JPG into this folder (PATCHDATA).
According to this, you will probably want to disable
name, author and version labels,
and sure, you don't need background and title colors...
well, see details below!
A perfect background image must be 580x360 sized
or the application will stretch it to fill all the space.

SHOWUSERDATA allows application showing patch data labels. 
When using well done background image, you don't need it!

HASFEATURESTXTFILE=True, means that you provide a text file (PATCH.TXT)
to explain your patch features and enables a menu function
activable as always by pressing the right click of the mouse.

Set DEFAULTLANGUAGE as 'eng' to make application speaking english!


Colors:

Express your colors as RGB strings of 9 chars lenght:

where black is =         0   0   0 = 000000000
and white is   =       255 255 255 = 255255255
DarkBlueGray could be:  20  20  30 = 020020030

BACKGROUND color affects layout if you don't provide
the background image... With ShowBackgroundImage=False,
when setting a color you force the application to show 
a standard windows border; set BACKGROUND color to NONE 
and the Patcher runs showing his default background image.

TITLE... obvious!
MESSAGES affects runtime message labels showns by the app
eccept for the flashing status label that will be changed
accordingly to AUTHOR and version labels.
OBJECTS changes color of buttons and progress bar.

Every color option set to NONE, returns the default color 
chosen by me!!!


Enjoy!



Example (not providing a backgound image)


//[Patch]
//Name=my Fantastic Patch!
//Author=di iard68
//Version=v. 1.0
//Description=Make Toro always win and Juve always loose!!!!

//[Options]
//ShowBackgroundImage=False
//ShowUserData=True
//HasFeaturesTXTFile=False
//DefaultLanguage=eng

//[Colors]
//Background=020020030
//Title=230230245
//Messages=255255128
//Author=None
//Objects=025025035

